com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.util

## Class DecisiontableSwitch

- java.lang.Object
- - com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable.util.DecisiontableSwitch

-     public class DecisiontableSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `DecisiontablePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static DecisiontablePackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisiontableSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseActionItem(ActionItem object)` Returns the result of interpreting the object as an instance of 'Action Item'
    `java.lang.Object` | `caseActionSection(ActionSection object)` Returns the result of interpreting the object as an instance of 'Action Section'
    `java.lang.Object` | `caseActionValueSetCell(ActionValueSetCell object)` Returns the result of interpreting the object as an instance of 'Action Value Set Cell'
    `java.lang.Object` | `caseAmbiguity(Ambiguity object)` Returns the result of interpreting the object as an instance of 'Ambiguity'
    `java.lang.Object` | `caseCell(Cell object)` Returns the result of interpreting the object as an instance of 'Cell'
    `java.lang.Object` | `caseConditionItem(ConditionItem object)` Returns the result of interpreting the object as an instance of 'Condition Item'
    `java.lang.Object` | `caseConditionSection(ConditionSection object)` Returns the result of interpreting the object as an instance of 'Condition Section'
    `java.lang.Object` | `caseConditionValueSetCell(ConditionValueSetCell object)` Returns the result of interpreting the object as an instance of 'Condition Value Set Cell'
    `java.lang.Object` | `caseDecisionTable(DecisionTable object)` Returns the result of interpreting the object as an instance of 'Decision Table'
    `java.lang.Object` | `caseExpressionCell(ExpressionCell object)` Returns the result of interpreting the object as an instance of 'Expression Cell'
    `java.lang.Object` | `caseFilterItem(FilterItem object)` Returns the result of interpreting the object as an instance of 'Filter Item'
    `java.lang.Object` | `caseFilterSection(FilterSection object)` Returns the result of interpreting the object as an instance of 'Filter Section'
    `java.lang.Object` | `caseOptimizerResults(OptimizerResults object)` Returns the result of interpreting the object as an instance of 'Optimizer Results'
    `java.lang.Object` | `caseRuleColumn(RuleColumn object)` Returns the result of interpreting the object as an instance of 'Rule Column'
    `java.lang.Object` | `caseRuleSection(RuleSection object)` Returns the result of interpreting the object as an instance of 'Rule Section'
    `java.lang.Object` | `caseRulesheetView(RulesheetView object)` Returns the result of interpreting the object as an instance of 'View'
    `java.lang.Object` | `caseRuleStatementItem(RuleStatementItem object)` Returns the result of interpreting the object as an instance of 'Rule Statement Item'
    `java.lang.Object` | `caseRuleStatementSection(RuleStatementSection object)` Returns the result of interpreting the object as an instance of 'Rule Statement Section'
    `java.lang.Object` | `caseScopeAlias(ScopeAlias object)` Returns the result of interpreting the object as an instance of 'Scope Alias'
    `java.lang.Object` | `caseScopeAssociation(ScopeAssociation object)` Returns the result of interpreting the object as an instance of 'Scope Association'
    `java.lang.Object` | `caseScopeAttribute(ScopeAttribute object)` Returns the result of interpreting the object as an instance of 'Scope Attribute'
    `java.lang.Object` | `caseScopeEntity(ScopeEntity object)` Returns the result of interpreting the object as an instance of 'Scope Entity'
    `java.lang.Object` | `caseScopeFilter(ScopeFilter object)` Returns the result of interpreting the object as an instance of 'Scope Filter'
    `java.lang.Object` | `caseScopeFolder(ScopeFolder object)` Returns the result of interpreting the object as an instance of 'Scope Folder'
    `java.lang.Object` | `caseScopeNode(ScopeNode object)` Returns the result of interpreting the object as an instance of 'Scope Node'
    `java.lang.Object` | `caseScopeSection(ScopeSection object)` Returns the result of interpreting the object as an instance of 'Scope Section'
    `java.lang.Object` | `caseScopeSortedAlias(ScopeSortedAlias object)` Returns the result of interpreting the object as an instance of 'Scope Sorted Alias'
    `java.lang.Object` | `caseValidatableObject(ValidatableObject object)` Returns the result of interpreting the object as an instance of 'Validatable Object'
    `java.lang.Object` | `caseValueSetCell(ValueSetCell object)` Returns the result of interpreting the object as an instance of 'Value Set Cell'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static DecisiontablePackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### DecisiontableSwitch

          public DecisiontableSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseActionItem

          public java.lang.Object caseActionItem(ActionItem object)

      Returns the result of interpreting the object as an instance of 'Action Item'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Action Item'.
      See Also:
        `doSwitch(EObject)`

    - #### caseActionSection

          public java.lang.Object caseActionSection(ActionSection object)

      Returns the result of interpreting the object as an instance of 'Action Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Action Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCell

          public java.lang.Object caseCell(Cell object)

      Returns the result of interpreting the object as an instance of 'Cell'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Cell'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConditionItem

          public java.lang.Object caseConditionItem(ConditionItem object)

      Returns the result of interpreting the object as an instance of 'Condition Item'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Condition Item'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConditionSection

          public java.lang.Object caseConditionSection(ConditionSection object)

      Returns the result of interpreting the object as an instance of 'Condition Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Condition Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExpressionCell

          public java.lang.Object caseExpressionCell(ExpressionCell object)

      Returns the result of interpreting the object as an instance of 'Expression Cell'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression Cell'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeAssociation

          public java.lang.Object caseScopeAssociation(ScopeAssociation object)

      Returns the result of interpreting the object as an instance of 'Scope Association'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Association'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeAttribute

          public java.lang.Object caseScopeAttribute(ScopeAttribute object)

      Returns the result of interpreting the object as an instance of 'Scope Attribute'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Attribute'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeEntity

          public java.lang.Object caseScopeEntity(ScopeEntity object)

      Returns the result of interpreting the object as an instance of 'Scope Entity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Entity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeFolder

          public java.lang.Object caseScopeFolder(ScopeFolder object)

      Returns the result of interpreting the object as an instance of 'Scope Folder'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Folder'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeNode

          public java.lang.Object caseScopeNode(ScopeNode object)

      Returns the result of interpreting the object as an instance of 'Scope Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Node'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeFilter

          public java.lang.Object caseScopeFilter(ScopeFilter object)

      Returns the result of interpreting the object as an instance of 'Scope Filter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Filter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeSection

          public java.lang.Object caseScopeSection(ScopeSection object)

      Returns the result of interpreting the object as an instance of 'Scope Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFilterItem

          public java.lang.Object caseFilterItem(FilterItem object)

      Returns the result of interpreting the object as an instance of 'Filter Item'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Filter Item'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFilterSection

          public java.lang.Object caseFilterSection(FilterSection object)

      Returns the result of interpreting the object as an instance of 'Filter Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Filter Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleColumn

          public java.lang.Object caseRuleColumn(RuleColumn object)

      Returns the result of interpreting the object as an instance of 'Rule Column'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Column'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleSection

          public java.lang.Object caseRuleSection(RuleSection object)

      Returns the result of interpreting the object as an instance of 'Rule Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecisionTable

          public java.lang.Object caseDecisionTable(DecisionTable object)

      Returns the result of interpreting the object as an instance of 'Decision Table'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decision Table'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleStatementItem

          public java.lang.Object caseRuleStatementItem(RuleStatementItem object)

      Returns the result of interpreting the object as an instance of 'Rule Statement Item'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Statement Item'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleStatementSection

          public java.lang.Object caseRuleStatementSection(RuleStatementSection object)

      Returns the result of interpreting the object as an instance of 'Rule Statement Section'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Statement Section'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueSetCell

          public java.lang.Object caseValueSetCell(ValueSetCell object)

      Returns the result of interpreting the object as an instance of 'Value Set Cell'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Set Cell'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeAlias

          public java.lang.Object caseScopeAlias(ScopeAlias object)

      Returns the result of interpreting the object as an instance of 'Scope Alias'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Alias'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConditionValueSetCell

          public java.lang.Object caseConditionValueSetCell(ConditionValueSetCell object)

      Returns the result of interpreting the object as an instance of 'Condition Value Set Cell'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Condition Value Set Cell'.
      See Also:
        `doSwitch(EObject)`

    - #### caseActionValueSetCell

          public java.lang.Object caseActionValueSetCell(ActionValueSetCell object)

      Returns the result of interpreting the object as an instance of 'Action Value Set Cell'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Action Value Set Cell'.
      See Also:
        `doSwitch(EObject)`

    - #### caseOptimizerResults

          public java.lang.Object caseOptimizerResults(OptimizerResults object)

      Returns the result of interpreting the object as an instance of 'Optimizer Results'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Optimizer Results'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAmbiguity

          public java.lang.Object caseAmbiguity(Ambiguity object)

      Returns the result of interpreting the object as an instance of 'Ambiguity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Ambiguity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseScopeSortedAlias

          public java.lang.Object caseScopeSortedAlias(ScopeSortedAlias object)

      Returns the result of interpreting the object as an instance of 'Scope Sorted Alias'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Scope Sorted Alias'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValidatableObject

          public java.lang.Object caseValidatableObject(ValidatableObject object)

      Returns the result of interpreting the object as an instance of 'Validatable Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Validatable Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRulesheetView

          public java.lang.Object caseRulesheetView(RulesheetView object)

      Returns the result of interpreting the object as an instance of 'View'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'View'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.